/* BalooLogging
 * Author: Johan Ho
 */
using System;
using System.Text;
using System.IO;

namespace Baloo
{
    /// <summary>
    /// This class is a simple class used for logging text to the given text file.
    /// </summary>
    class BalooLogging
    {
        private string logfile;

        public BalooLogging( string logfile )
        {
            this.logfile = logfile;
        }

        /// <summary>
        /// Logs an event to the given
        /// </summary>
        /// <param name="message"></param>
        /// <returns></returns>
        public bool LogEvent( string message )
        {
            if (logfile == null)
                return false;
            try
            {
                TextWriter writer = new StreamWriter(logfile, true, Encoding.UTF8);
                writer.WriteLine(message);
                writer.Close();
                return true;
            }
            catch
            {
                return false;
            }
        }
    }
}
